Bug 1298640 - [RFE] v2v: gray out invalid VM actions during import process (locked VM).
[RFE] v2v: gray out invalid VM actions during import process (locked VM).
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: BLL.Virt (Show other bugs)
3.6.1
Unspecified Unspecified
low Severity low (vote)
: ovirt-4.3.0
: ---
Assigned To: nobody nobody
Nisim Simsolo
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-14 10:45 EST by Nisim Simsolo
Modified: 2018-07-06 11:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtessun: ovirt‑4.3?
nsimsolo: testing_plan_complete+
mtessun: planning_ack+
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)
screenshot example of invalid actions which are not grayed out (178.45 KB, image/png)
2016-01-14 10:51 EST, Nisim Simsolo
no flags Details

  None (edit)
Description Nisim Simsolo 2016-01-14 10:45:33 EST
Description of problem:
During import VM, it is possible to select invalid VM actions such as run VM even though the VM is locked.
It would be nice if the next VM actions will be grayed out during import VM:
run VM
remove VM
clone VM 
make VM template
create VM snapshot
export VM
delete VM disks (see bug https://bugzilla.redhat.com/show_bug.cgi?id=1297865)

Currently, These actions are rejected by webadmin after selecting them when VM is locked.


Version-Release number of selected component (if applicable):
rhevm-3.6.2.5-0.1.el6

Additional info:
Screenshot example attached
Comment 1 Nisim Simsolo 2016-01-14 10:51 EST
Created attachment 1114873 [details]
screenshot example of invalid actions which are not grayed out
Comment 2 Nisim Simsolo 2016-12-01 09:36:38 EST
Polarion test case added, see "Locked VM during import process" test step.

Note You need to log in before you can comment on or make changes to this bug.